Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Interface Frame

All Known Implementing Classes:
  FramedFeature.ReadingFrame, SimpleFramedFeature

    public interface Frame

Title: Frame.

Description: An interface that can be implemented by classes that contain frame information.

Copyright: Copyright (c) 2001.

Since:
  1.2
Version:
  1.0
Author:
  Mark Schreiber

Field Summary
`static int` | `FRAME_0`
`static int` | `FRAME_1`
`static int` | `FRAME_2`

Method Summary
`int` | `getFrame()` A method to get the frame information of the implementing object

Field Detail

### FRAME_0

    static final int FRAME_0

See Also:
  Constant Field Values

### FRAME_1

    static final int FRAME_1

See Also:
  Constant Field Values

### FRAME_2

    static final int FRAME_2

See Also:
  Constant Field Values

Method Detail

### getFrame

    int getFrame()

  A method to get the frame information of the implementing object

  Returns:
    an integer from 0 to 2 representing the frame.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD